Bug 2020792 - libusb missing dependency on libusb1
Summary: libusb missing dependency on libusb1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libusb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-05 22:36 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2021-11-15 05:46 UTC (History)
4 users (show)

Fixed In Version: libusb-0.1.7-6.fc35
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-15 05:46:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2021-11-05 22:36:46 UTC
Description of problem:
libusb is missing a dependency on libusb1 which it seems to load dynamically. This breaks e.g. gnupg1

Version-Release number of selected component (if applicable):
libusb1-1.0.24-4.fc35.x86_64
libusb-0.1.7-4.fc35.x86_64
gnupg1-1.4.23-16.fc35.x86_64

How reproducible:
Always

Steps to Reproduce:
1. mock -r fedora-rawhide-x86_64 install gnupg1
2. mock -r fedora-rawhide-x86_64 shell
3. gpg1 --version

Actual results:
gpg1: error while loading libusb-1.0.so.0 from libusb-0.1.so.4: libusb-1.0.so.0: cannot open shared object file: No such file or directory

Expected results:
gpg (GnuPG) 1.4.23

Additional info:
Installing libusb1 manually works around this, obviously.

Comment 1 Fedora Update System 2021-11-08 18:52:37 UTC
FEDORA-2021-f5c8e3f0e7 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f5c8e3f0e7

Comment 2 Fedora Update System 2021-11-09 02:22:37 UTC
FEDORA-2021-f5c8e3f0e7 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f5c8e3f0e7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f5c8e3f0e7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2021-11-10 14:14:49 UTC
FEDORA-2021-f5c8e3f0e7 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f5c8e3f0e7

Comment 4 Fedora Update System 2021-11-11 04:37:01 UTC
FEDORA-2021-f5c8e3f0e7 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f5c8e3f0e7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f5c8e3f0e7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-11-15 05:46:34 UTC
FEDORA-2021-f5c8e3f0e7 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.